=== debian/changelog ===
waydroid (1.5.1) bullseye; urgency=medium

  * lxc: Mount DMA-BUF Heaps
  * lxc: Mount DRM device with the same name
  * gpu: Check i915_capabilities for the card node
  * gpu: Allow choosing the DRM device in waydroid.cfg
  * gpu: Always prefer lower-numbered render node
  * clipboard: Demote warning about missing pyclip to debug level
  * Upver to 1.5.1

 -- Alessandro Astone <ales.astone@gmail.com>  Wed, 26 Mar 2025 19:37:28 +0100

waydroid (1.5.0) bullseye; urgency=medium

  * debian: Use new polkitd package
  * initializer: Refactor setup to better handle preinstalled images
  * gpu: Use intel_hasvk on intel graphics gen 8 or lower (Closes: #1604)
  * protocol: Correct gbinder protocol version for API 33
  * initializer: Differentiate HALIUM vndk31 and vndk32
  * gpu: Do not log failure to read i915_capabilities
  * container: Do not mount KMS nodes
  * lxc: Handle CTRL+C silently during shell commands
  * Upver to 1.5.0

 -- Alessandro Astone <ales.astone@gmail.com>  Wed, 05 Mar 2025 19:12:03 +0100

waydroid (1.4.3) bullseye; urgency=medium

  * update regex for deprecation warning
  * Add SSSE3 CPU check for arch x86/x86_64
  * Make adb auto-connection opt-out
  * upgrader: Clarify refused upgrade message
  * Add sysconfdir to Makefile defaulting to /etc
  * Don't change user-defined desktop files for Waydroid when they're set as read-only
  * Ensure default umask to avoid surprises with file permissions.
  * initializer: Fix Halium version VNDK detection logic for 12L+
  * Add msm_dpu driver for freedreno
  * Re-enable nouveau and nvk
  * Remove unused session.cfg config
  * Use synthetic paths for host sockets
  * Bail out if system_channel or vendor_channel are empty
  * user_manager: Restore desktop-file creation the first time
  * Upver to 1.4.3

 -- Alessandro Astone <ales.astone@gmail.com>  Wed, 07 Aug 2024 22:58:54 +0200

waydroid (1.4.2) bullseye; urgency=medium

  * Allow running a shell command as an arbitrary user and group and with an arbitrary security context (#996)
  * IHardware: Add new upgrade transaction capable of 64-bit timestamps
  * interfaces: Return binder error when receiving an unknown transaction
  * clipboard: change warning message to be less misleading
  * container_manager: Keep schedtune cgroup around in case nesting is supported
  * Allow local amendments to the AppArmor policy
  * Fix issues with AppStream metadata
  * Add iptables as Debian dependency
  * user_manager: Respect user umask
  * user_manager: Add icon to the app_settings action
  * lxc: Recursively mount vendor_extra
  * hardware_manager: Validate upgrade zips against the saved ota channel
  * Block the "open_by_handle_at" system call
  * Add an XDG menu directory (#1149)
  * Upver to 1.4.2

 -- Alessandro Astone <ales.astone@gmail.com>  Tue, 31 Oct 2023 15:54:09 +0000

waydroid (1.4.1) bullseye; urgency=medium

  * CI: Add ubuntu lunar
  * Add App Settings to .desktop file
  * Add X-WayDroid-App category to WayDroid desktop files (#810)
  * All AppArmor profiles have been switched to the "enforce" mode.
  * .desktop files should not be executable (#815)
  * Revert "All AppArmor profiles have been switched to the "enforce" mode."
  * Add missing environment variable BOOTCLASSPATH to waydroid shell
  * user_manager: Do not crash when install applications during boot
  * Create CODE_OF_CONDUCT.md
  * Add device IP address to status, auto adb connect
  * lxc: Add /dev/tty
  * Upver to 1.4.1

 -- Alessandro Astone <ales.astone@gmail.com>  Mon, 24 Apr 2023 11:54:54 +0000

waydroid (1.4.0) bullseye; urgency=medium

  * lxc: Fixup apparmor detection
  * lxc: Allow shell and logcat from frozen
  * initializer: Move triggers to dbus
  * Move session IPC to dbus
  * Makefile: Install dbus service
  * app_manager: Allow install/remove/list while frozen
  * tools: Remove umask 0
  * initializer: Require admin authentication for remote initialization with custom channels
  * lxc: Workaround against lxc changing logfile permissions
  * tools: Allow prop commands while frozen
  * Fix prop set command
  * gpu: Also mount card node
  * helpers/mount: Check for failed umounts only umounting the whole list
  * helpers/mount: Allow to specify explicit mount type and options
  * helpers/mount: Add an option to mount even if mount point already exists
  * Mount overlays on top of image mount points
  * Remove RW image overlay when upgrading images
  * Make overlays opt-out
  * Make session more resilient to start failures
  * session: Add strict WAYLAND_DISPLAY validity checks
  * debian: Unify waydroid.postinst indentation
  * props: Drop unneeded ';' from end of return line
  * lxc: Only add /dev/ashmem to config_nodes when it exists
  * container: Make "waydroid-net.sh start" failure fatal
  * net: Don't fail start when already running
  * container: Allow stopping without killing the session deamon
  * Use `command -v` instead of `which`
  * mount: Only disable overlayfs xino on kernels that support it
  * version: Don't fail when uname contains only two numbers
  * session: Dump the full exception to log file when failed to start
  * version: Fix "NameError: name 're' is not defined"
  * lxc: Attach with proper environment
  * security: Verify session user_id against DBus connection
  * session: Also log dbus connection exceptions
  * fixup! security: Verify session user_id against DBus connection
  * lxc: Create session-specific mount entries (Closes: #704)
  * upgrade: Restart container through DBus
  * upgrade: Drop more privileges during 1.4.0 migration
  * upgrade: Fallback to stopping container manually
  * upgrade: Remove session.cfg during 1.4.0 migration
  * security: Verify session pid against DBus connection
  * container_manager: Mount rootfs last
  * lxc: Improve session config error message
  * container: Extend nfcd stop/start hacks to systemd
  * app_manager: Fix IPlatform error logging
  * interfaces: Fix ServiceManager race condition in clients

