=== debian/control ===
Source: waydroid
Maintainer: Erfan Abdi <erfangplus@gmail.com>
Section: misc
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               python3,
               dh-apparmor
Standards-Version: 4.5.0.3
Vcs-Browser: https://github.com/waydroid/waydroid
Vcs-Git: https://github.com/waydroid/waydroid.git

Package: waydroid
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         lxc,
         python3-gbinder,
         python3-gi,
         gir1.2-gtk-3.0,
         python3-dbus,
         dbus,
         polkitd | policykit-1,
	 iptables
Description: Android™ application support
 waydroid allows running a separate Android™ environment
 confined to a LXC container.
