=== debian/changelog ===
waydroid (1.6.1) bullseye; urgency=medium

  * Also consider block device files when checking for preinstalled images (#2136)
  * http: Standardize file size and download speed units
  * initializer: Move remote init process to a toplevel function
  * initializer: Setup verbose logging in the remote init process
  * tools: Restore early initialized check
  * Upver to 1.6.1

 -- Alessandro Astone <ales.astone@gmail.com>  Mon, 29 Dec 2025 18:03:56 +0100

waydroid (1.6.0) bullseye; urgency=medium

  * prop: Enable the "ro.adb.secure" property (#1096)
  * net: Disable adb auto-connect by default
  * upgrade: Migrate auto_adb to False on first upgrade
  * net: Add "waydroid adb connect" action
  * user_manager: Rework desktop file handling
  * user_manager: Fix quotes f-string
  * user_manager: Mark new LineageOS Camera app as a system app
  * logging: Use RotatingFileHandler to trim logfile at 5MB
  * logging: Add date to the logfile format
  * container: Add some additional logging
  * logging: Actually enable logfile rotation
  * session_manager: Stop the container on logout
  * session_manager: Stop the container on SIGHUP
  * Update Android version from 11 to 13 in README
  * tools/helpers/http.py: also handle urllib.error.URLError exceptions instead of showing traceback
  * debian/control: add Recommends on ca-certificates
  * debian/control: add Depends on pipewire-pulse | pulseaudio
  * Remove underscore from .desktop action name
  * lxc: Restore permissions on the shell command stdout file
  * tools: Print suggestion to use --details-to-stdout
  * tools: Add bugreport action
  * Makefile: Install relative bin symlink instead of absolute
  * debian: Never fail postinst script
  * fix: remove '"' that may cause SyntaxErrors for some Python versions
  * user_manager: Fixup desktop file mangling to preserve user-added actions
  * user_manager: Always show Waydroid desktop launcher
  * tools: Run waydroid without any additional command-line arguments
  * data: Add desktop action to stop Waydroid session
  * user_manager: Add user migration steps to cleanup stale desktop files
  * init: Allow re-initializing while container daemon is running
  * init: Use DBus for reporting progress
  * http: Report progress slower
  * tools: Make sure to log exceptions caught in DBus method calls
  * tools: Do not hint about --details-to-stdout when already set
  * lxc: Fixup starting when logfile does not exist
  * logging: Fixup starting when logfile does not exist
  * container_manager: Avoid potential race with DBus object vs name registration
  * images: Fix TOCTOU bugs in checksum verification
  * initializer: Fixup bus exception handling
  * initializer: Show meaningful text description in system type selection
  * github: Mention "waydroid bugreport" to attach logs
  * readme: Add icon, links to website and FAQ
  * services: Add new notification manager
  * Upver to 1.6.0

 -- Alessandro Astone <ales.astone@gmail.com>  Fri, 21 Nov 2025 23:05:38 +0100

waydroid (1.5.4) bullseye; urgency=medium

  * shell: Do not abort if classpath env file is missing
  * shell: Filter imported environment

 -- Alessandro Astone <ales.astone@gmail.com>  Tue, 24 Jun 2025 11:18:15 +0200

waydroid (1.5.3) bullseye; urgency=medium

  * Remove unused python imports
  * shell: Import CLASSPATH env that was generated by Android
  * prop: Declare OpenGL ES 3.2
  * Upver to 1.5.3

 -- Alessandro Astone <ales.astone@gmail.com>  Sun, 22 Jun 2025 12:14:13 +0200

waydroid (1.5.2) bullseye; urgency=medium

  * arch: Separately identify arm64_only CPUs without AArch32 support
  * data: Add a valid registered category to Waydroid.desktop for appstream
  * Upver to 1.5.2

 -- Alessandro Astone <ales.astone@gmail.com>  Fri, 30 May 2025 19:45:21 +0200
