=== debian/control ===
--- 
+++ 
@@ -21,7 +21,9 @@
          python3-dbus,
          dbus,
          polkitd | policykit-1,
+         pipewire-pulse | pulseaudio,
 	 iptables
+Recommends: ca-certificates,
 Description: Android™ application support
  waydroid allows running a separate Android™ environment
  confined to a LXC container.
